# https://pypi.python.org/packages/ec/9c/368086faa9c016efce5da3e0e13ba392c9db79e3ab740b763fe28620b18b/backports.shutil_get_terminal_size-1.0.0.tar.gz
%global srcname backports.shutil_get_terminal_size
%global module backports-shutil_get_terminal_size

Name:           python-%{module}
Version:        1.0.0
Release:        %mkrel 1
Summary:        A backport of the get_terminal_size function from Python 3.3's shutil

License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/%{srcname}/1.0.0
Source0:        %{srcname}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-backports

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{version}

%build
%py2_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc LICENSE README.rst
%{python2_sitelib}/*
%exclude %{python2_sitelib}/backports/__init__.py

%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 1.0.0-1uplos2018
- imported for uplos
